## azure-cli 2.74.0

=== debian/changelog ===
azure-cli (2.74.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.74.0'
  * Bump dependency on python-azure
  * Update test harness for removed tests

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 Jun 2025 14:17:14 +0100

=== debian/control ===
Source: azure-cli
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               pylint <!nocheck>,
               python3-all,
               python3-argcomplete,
               python3-antlr4 <!nocheck>,
               python3-azure (>= 20250603+git-1~),
               python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
               python3-azure-functions-devops-build <!nocheck>,
               python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,
               python3-bcrypt (>= 3.2.0~) <!nocheck>,
               python3-colorama <!nocheck>,
               python3-configargparse <!nocheck>,
               python3-cryptography (>= 3.3.0~) <!nocheck>,
               python3-decorator <!nocheck>,
               python3-distro <!nocheck>,
               python3-fabric,
               python3-flake8 <!nocheck>,
               python3-github <!nocheck>,
               python3-humanfriendly <!nocheck>,
               python3-javaproperties <!nocheck>,
               python3-jinja2 (>= 3.0.0~) <!nocheck>,
               python3-jmespath <!nocheck>,
               python3-jsondiff <!nocheck>,
               python3-jwt (>= 2.1.0~) <!nocheck>,
               python3-knack (>= 0.10.0~) <!nocheck>,
               python3-markupsafe (>= 2.0.0~) <!nocheck>,
               python3-msal (>= 1.20.0~) <!nocheck>,
               python3-msal-extensions (>= 1.0.0~) <!nocheck>,
               python3-msrest (>= 0.6.18-1~) <!nocheck>,
               python3-nacl <!nocheck>,
               python3-oauthlib <!nocheck>,
               python3-openssl <!nocheck>,
               python3-packaging <!nocheck>,
               python3-paramiko <!nocheck>,
               python3-pkginfo,
               python3-psutil <!nocheck>,
               python3-pytest <!nocheck>,
               python3-requests <!nocheck>,
               python3-scp <!nocheck>,
               python3-setuptools,
               python3-semver <!nocheck>,
               python3-sshtunnel <!nocheck>,
               python3-tabulate <!nocheck>,
               python3-tz <!nocheck>,
               python3-vcr <!nocheck>,
               python3-websocket <!nocheck>,
               python3-xmltodict <!nocheck>,
Standards-Version: 4.7.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Azure/azure-cli
Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-cli
Vcs-Git: https://salsa.debian.org/python-team/packages/azure-cli.git
Testsuite: autopkgtest-pkg-python

Package: azure-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-azure-cli (>= ${source:Version}),
Description: Azure Command-Line Interface (CLI)
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the az executable and bash completion.

Package: python3-azure-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-azure-cli-core (>= ${source:Version}),
Recommends: python3-azext-devops,
Description: Azure Command-Line Interface (CLI) - commands modules
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the azure-cli python3 module.

Package: python3-azure-cli-core
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-decorator, python3-azure-cli-telemetry (>= ${source:Version}),
Description: Azure Command-Line Interface (CLI) - core modules
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the azure-cli-core python3 module.

Package: python3-azure-cli-telemetry
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure Command-Line Interface (CLI) - telemetry modules
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the azure-cli-telemetry python3 module.

Package: python3-azure-cli-testsdk
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure Command-Line Interface (CLI) - testsdk modules
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the azure-cli-tesdk python3 module.

=== debian/rules ===
#!/usr/bin/make -f

export HTTP_PROXY=127.0.0.1:9
export HTTPS_PROXY=127.0.0.1:9
export PYBUILD_BEFORE_TEST=cp -r {dir}/src/azure-cli-core/azure/cli/core/extension/tests/ {build_dir}/tests_extension; \
	cp -r {dir}/src/azure-cli-core/azure/cli/core/tests/ {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acr/tests/latest/test_acr_commands_mock.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_custom.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_helpers.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_validators.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/advisor/tests/latest/test_advisor_commands.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/appservice/tests/latest/test_app_service_environment_commands_thru_mock.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/appservice/tests/latest/test_webapp_commands_thru_mock.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/batch/tests/latest/test_batch_commands.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/botservice/tests/latest/test_bot_commands.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/cloud/tests/latest/test_cloud.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/configure/tests/latest/test_configure.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/find/tests/latest/test_find.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/lab/tests/latest/test_lab_validators.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/network/tests/latest/test_dns_commands.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/network/tests/latest/test_network_unit_tests.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/network/tests/latest/zone_files/ {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/profile/tests/latest/test_profile_custom.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/test_api_check.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/test_resource_custom.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/test_resource_list_odata_filter.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/test_resource_validators.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/param-validation-template.json {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/param-validation-params.json {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/role/tests/latest/test_role_commands_thru_mock.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/role/tests/latest/test_role_custom.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/role/tests/latest/cert.pem {build_dir}/tests_core/
export PYBUILD_AFTERE_TEST=rm -rf {build_dir}/tests*
export PYBUILD_TEST_ARGS=-v --deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_twice \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_verify_no_pip_proxy \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_name_but_it_already_exists \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_name_valid_checksum \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_pip_proxy \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_system_extension \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_user_system_extensions \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_extension \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_extension_extra_index_url \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_extension_with_dashes \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_same_extension_user_system \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_exception_in_update_and_rolled_back \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_extra_index_url \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_no_updates \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_verify_no_pip_proxy \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_with_pip_proxy \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_azure_to_path \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_to_path \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_specific_version \
	--deselect=tests_extension/latest/test_wheel_type_extension.py::TestWheelTypeExtensionMetadata::test_reading_wheel_type_0_30_0_extension_metadata \
	--deselect=tests_extension/latest/test_wheel_type_extension.py::TestWheelTypeExtensionMetadata::test_reading_wheel_type_0_31_0_extension_metadata \
	--deselect=tests_core/test_acr_commands_mock.py::AcrMockCommandsTests::test_get_docker_credentials \
	--deselect=tests_core/test_argcomplete.py::ArgcompleteScenarioTest::test_completion \
	--deselect=tests_core/test_help.py::HelpTest::test_help_loads \
	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_json \
	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_py \
	--deselect=tests_core/test_bot_commands.py::BotTests \
	--deselect=tests_core/test_cloud.py::SubscriptionSuppressionTest::test_subscription_suppression \
	--deselect=tests_core/test_cloud.py::CloudTests::test_cloud_scenario \
	--deselect=tests_core/test_configure.py::LocalContextCommandsScenarioTest::test_local_context_commands \
	--deselect=tests_core/test_extension.py::TestWheelSystemExtension::test_wheel_metadata1 \
	--deselect=tests_core/test_extension.py::TestWheelSystemExtension::test_wheel_version \
	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_yaml \
	--deselect=tests_core/test_dns_commands.py::DnsZoneImportTest \
	--deselect=tests_core/test_dns_commands.py::DnsScenarioTest \
	--deselect=tests_core/test_advisor_commands.py::AzureAdvisorScenarioTest::test_configurations_resource_group \
	--deselect=tests_core/test_advisor_commands.py::AzureAdvisorScenarioTest::test_configurations_subscription \
	--deselect=tests_core/test_profile_v2016_06_01.py::TestProfile::test_subscription_finder_constructor \
	--deselect=tests_core/test_profile.py::TestProfile::test_get_msal_token \

## azure-cli 2.77.0

=== debian/changelog ===
azure-cli (2.77.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.77.0'
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Ignore new failing tests
  * Bump dependency on python3-azure

 -- Luca Boccassi <bluca@debian.org>  Tue, 02 Sep 2025 10:52:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20250603+git-1~),
+               python3-azure (>= 20250829+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,
@@ -50,7 +50,7 @@
                python3-vcr <!nocheck>,
                python3-websocket <!nocheck>,
                python3-xmltodict <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests:python3-tests
Depends: @builddeps@, python3-azure-cli, python3-azure-cli-core, python3-azure-cli-telemetry, python3-azure-cli-testsdk, python3-all:any,

## azure-cli 2.78.0

=== debian/changelog ===
azure-cli (2.78.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.78.0'
  * Bump dependency on python3-azure

 -- Luca Boccassi <bluca@debian.org>  Tue, 14 Oct 2025 14:29:50 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20250829+git-1~),
+               python3-azure (>= 20251014+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,

## azure-cli 2.79.0

=== requirements.txt ===
# basic
setuptools>=65.5.1
pip>=9.0.1

=== scripts/release/homebrew/docker/requirements.txt ===
homebrew-pypi-poet~=0.10.0
jinja2~=3.1.6
requests>=2.20.0
applicationinsights >=0.11.1,<0.11.8

=== debian/changelog ===
azure-cli (2.79.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.79.0'
  * Bump dependency on python-azure

 -- Luca Boccassi <bluca@debian.org>  Tue, 04 Nov 2025 11:42:39 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20251014+git-1~),
+               python3-azure (>= 20251104+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,

## azure-cli 2.80.0

=== debian/changelog ===
azure-cli (2.80.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.80.0'
  * Bump dependency on python-azure

 -- Luca Boccassi <bluca@debian.org>  Tue, 18 Nov 2025 13:10:15 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20251104+git-1~),
+               python3-azure (>= 20251118+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,

## azure-cli 2.81.0

=== debian/changelog ===
azure-cli (2.81.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.81.0'
  * Bump dependency on python-azure

 -- Luca Boccassi <bluca@debian.org>  Tue, 02 Dec 2025 12:10:31 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20251118+git-1~),
+               python3-azure (>= 20251202+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,

## azure-cli 2.82.0

=== debian/changelog ===
azure-cli (2.82.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * drop extraneous dependency on old python3-tz
  * drop "Rules-Requires-Root: no": this is the default now
  * drop dependency on dh-python duplicated by dep. on dh-sequence-python3

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/2.82.0'
  * Bump dependency on python-azure
  * Ignore new failing tests

 -- Luca Boccassi <bluca@debian.org>  Tue, 13 Jan 2026 17:38:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
                dh-sequence-python3,
                pylint <!nocheck>,
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20251202+git-1~),
+               python3-azure (>= 20260113+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,
@@ -46,14 +45,12 @@
                python3-semver <!nocheck>,
                python3-sshtunnel <!nocheck>,
                python3-tabulate <!nocheck>,
-               python3-tz <!nocheck>,
                python3-vcr <!nocheck>,
                python3-websocket <!nocheck>,
                python3-xmltodict <!nocheck>,
 Standards-Version: 4.7.2
 Section: python
 Priority: optional
-Rules-Requires-Root: no
 Homepage: https://github.com/Azure/azure-cli
 Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-cli
 Vcs-Git: https://salsa.debian.org/python-team/packages/azure-cli.git

## azure-cli 2.83.0

=== debian/changelog ===
azure-cli (2.83.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.83.0'
  * Bump dependency on python-azure
  * Drop priority from d/control, now defaults to optional
  * Bump Standards-version to 4.7.3
  * Ignore new failing tests

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 Feb 2026 12:08:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20260113+git-1~),
+               python3-azure (>= 20260203+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,
@@ -48,9 +48,8 @@
                python3-vcr <!nocheck>,
                python3-websocket <!nocheck>,
                python3-xmltodict <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: python
-Priority: optional
 Homepage: https://github.com/Azure/azure-cli
 Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-cli
 Vcs-Git: https://salsa.debian.org/python-team/packages/azure-cli.git

## azure-cli 2.84.0

=== scripts/release/homebrew/docker/requirements.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Pin setuptools<82 because homebrew-pypi-poet (abandoned since 2018) uses pkg_resources
+# which was removed in setuptools 82+. See https://github.com/Azure/azure-cli/issues/32800
+setuptools<82
 homebrew-pypi-poet~=0.10.0
 jinja2~=3.1.6
 requests>=2.20.0

=== debian/changelog ===
azure-cli (2.84.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.84.0'
  * Bump dependency on python-azure

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 Mar 2026 13:24:29 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20260203+git-1~),
+               python3-azure (>= 20260303+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,
